org.keycloak.federation.ldap.mappers.membership

## Enum MembershipType

- java.lang.Object
- - java.lang.Enum<MembershipType>
  - - org.keycloak.federation.ldap.mappers.membership.MembershipType

- All Implemented Interfaces:
    Serializable, Comparable<MembershipType>

      public enum MembershipType
      extends Enum<MembershipType>

  Author:
    Marek Posolda

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DN` Used if LDAP role has it's members declared in form of their full DN.
    `UID` Used if LDAP role has it's members declared in form of pure user uids.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<UserModel>` | `getGroupMembers(GroupLDAPFederationMapper groupMapper, LDAPObject ldapGroup, int firstResult, int maxResults)`
    `abstract Set<LDAPDn>` | `getLDAPSubgroups(GroupLDAPFederationMapper groupMapper, LDAPObject ldapGroup)`
    `static MembershipType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MembershipType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DN

          public static final MembershipType DN

      Used if LDAP role has it's members declared in form of their full DN. For example ( "member: uid=john,ou=users,dc=example,dc=com" )

    - #### UID

          public static final MembershipType UID

      Used if LDAP role has it's members declared in form of pure user uids. For example ( "memberUid: john" )

  - ### Method Detail

    - #### values

          public static MembershipType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MembershipType c : MembershipType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MembershipType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLDAPSubgroups

          public abstract Set<LDAPDn> getLDAPSubgroups(GroupLDAPFederationMapper groupMapper,
                                                       LDAPObject ldapGroup)

    - #### getGroupMembers

          public abstract List<UserModel> getGroupMembers(GroupLDAPFederationMapper groupMapper,
                                                          LDAPObject ldapGroup,
                                                          int firstResult,
                                                          int maxResults)

Copyright © 2016 JBoss by Red Hat. All rights reserved.